#!/usr/bin/perl
## ######### PROJECT NAME : ##########
## 
## index.pl for wishmin
## 
## ######### PROJECT DESCRIPTION : ###
## 
## This file is the entry point of the entire project
## 
## ###################################
## 
## Made by Boutonnet Alexandre
## Email   <aboutonnet@intellique.com>
## 
## Started on  Wed May 13 16:59:37 2009 Boutonnet Alexandre
## Last update Fri May 15 12:30:55 2009 Boutonnet Alexandre
## 
## ###################################
##

use strict;
use warnings;

use lib "./lib";
use Lib_CGI;

Lib_CGI::new_cgi();

my $is_logged = Lib_CGI::test_is_logged();

if ($is_logged == 1)
{
    require("pages/index/log.pl");
}
elsif ($is_logged == 2)
{
    Lib_TT::set("error_login", "Session expired.");
      require("pages/index/log.pl");
}
elsif ($is_logged == 0)
{
    require("pages/index/main.pl");
}

exit 0;
