#!/usr/bin/perl
## ######### PROJECT NAME : ##########
## 
## log.pl for wishmin
## 
## ######### PROJECT DESCRIPTION : ###
## 
## this file makes all logging management
## 
## ###################################
## 
## Made by Boutonnet Alexandre
## Email   <aboutonnet@intellique.com>
## 
## Started on  Fri May 15 12:20:45 2009 Boutonnet Alexandre
## Last update Fri May 15 18:45:33 2009 Boutonnet Alexandre
## 
## ###################################
##

use Lib_TT;
use Lib_Auth;

Lib_TT::new_tt("templates/global/", "templates/index/");

Lib_TT::set("page_title", "Login.");

# je test si j'ai mes parametres..
my $user_param = Lib_CGI::get_param('user');
my $passwd_param = Lib_CGI::get_param('passwd');

if ($user_param && $passwd_param)
{
    if ($user_param =~ m/\W+/)
    {
	Lib_TT::set("error_login", "Invalid Login.");
      }
    else
    {
	my ($ret_code, $err_msg) = Lib_Auth::valid_user($user_param, $passwd_param);

	if ($ret_code)
	{
	    Lib_TT::set("error_login", $err_msg);
	}
	else
	{
	    # Creation de la session
	    Lib_CGI::new_session();
	      
	      Lib_CGI::session_set_param("user", $user_param);
	      
	      require("pages/index/main.pl");
	      exit 0;
	  }
    }
}

Lib_CGI::print_html_header();

Lib_TT::process("log.tt");

1;
