#!/usr/bin/perl
## ######### PROJECT NAME : ##########
## 
## main.pl for wishmin
## 
## ######### PROJECT DESCRIPTION : ###
## 
## this file makes all the first page job
## 
## ###################################
## 
## Made by Boutonnet Alexandre
## Email   <aboutonnet@intellique.com>
## 
## Started on  Fri May 15 12:24:32 2009 Boutonnet Alexandre
## Last update Mon May 18 15:22:18 2009 Boutonnet Alexandre
## 
## ###################################
##

use Lib_TT;
use Lib_Log;
use Lib_Translation qw(Translate);

Lib_TT::new_tt("templates/global/", "templates/index/");
Lib_Translation::init("main.lang");

Lib_TT::set("page_title", Translate("page_title"));
Lib_TT::set("link_options_page", Translate("link_option_page"));
Lib_TT::set("link_logout", Translate("link_logout"));

# Recuperation de l'utilisateur
my $user = Lib_CGI::session_get_param("user");

my $action = Lib_CGI::get_param('action');

if ($action eq "logout")
{
    Lib_CGI::close_session();
      Lib_TT::set("error_login", Translate("msg_session_closed"));
      require("pages/index/log.pl");
      exit(0);
}
elsif ($action eq "options")
{
      require("pages/index/options.pl");
      exit(0);
}

# Gestion de la presence du lien "preference"
if ($user eq "admin")
{
    Lib_TT::set("flag_admin", 1);
}

Lib_CGI::print_html_header();

Lib_TT::process("main.tt");

1;
